# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(IO/File.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.009
%define module_name Log-Smart
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: Messages for smart logging to the file 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SH/SHIBUYA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Log::Smart provides logging methods that is easy to use.

This module automatically creates and opens the file for logging.
It is created to location of the file that used this module.
And name of the file is the namespace + *.log* with using this module.

It exports a function that you can put just about anywhere
in your Perl code to make it logging.

To change the location or filename, you can use the options.
Please refer to OPTIONS for more information on.


    package Example;

    use Log::Smart;
    #file name "Example.log"


    package Example;
    
    use Log::Smart -name => 'mydebug.mylog';
    #file name "mydebug.mylog"

WARNING:
This module automatically determines the output location(need write permission) and the filename when you don't use some options.
You should carefully use it, otherwise the file of same name is overwrited.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/L*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1
- initial import by package builder

